Bug 1181145 (CVE-2021-3114)

Summary: VUL-0: CVE-2021-3114: go1.15,go1.14: go: crypto/elliptic: incorrect operations on the P-224 curve
Product: [Novell Products] SUSE Security Incidents Reporter: Jeff Kowalczyk <jkowalczyk>
Component: IncidentsAssignee: Jeff Kowalczyk <jkowalczyk>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: meissner
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/275855/
Whiteboard: CVSSv3.1:SUSE:CVE-2021-3114:4.8:(AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Jeff Kowalczyk 2021-01-20 02:49:36 UTC
crypto/elliptic: incorrect operations on the P-224 curve

The P224() Curve implementation can in rare circumstances generate incorrect outputs, including returning invalid points from ScalarMult.

The crypto/x509 and golang.org/x/crypto/ocsp (but not crypto/tls) packages support P-224 ECDSA keys, but they are not supported by publicly trusted certificate authorities. No other standard library or golang.org/x/crypto package supports or uses the P-224 curve.

The incorrect output was found by the elliptic-curve-differential-fuzzer project running on OSS-Fuzz and reported by Philippe Antoine (Catena cyber).

This issue is CVE-2021-3114 and Go issue http://golang.org/issue/43786
Comment 1 OBSbugzilla Bot 2021-01-20 03:50:17 UTC
This is an autogenerated message for OBS integration:
This bug (1181145) was mentioned in
https://build.opensuse.org/request/show/864485 Factory / go1.14
https://build.opensuse.org/request/show/864487 Factory / go1.15
Comment 3 Swamp Workflow Management 2021-01-26 17:17:11 UTC
SUSE-SU-2021:0223-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1175132,1181145,1181146
CVE References: CVE-2021-3114,CVE-2021-3115
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    go1.15-1.15.7-1.17.1
SUSE Manager Retail Branch Server 4.0 (src):    go1.15-1.15.7-1.17.1
SUSE Manager Proxy 4.0 (src):    go1.15-1.15.7-1.17.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    go1.15-1.15.7-1.17.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    go1.15-1.15.7-1.17.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    go1.15-1.15.7-1.17.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    go1.15-1.15.7-1.17.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    go1.15-1.15.7-1.17.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    go1.15-1.15.7-1.17.1
SUSE Enterprise Storage 6 (src):    go1.15-1.15.7-1.17.1
SUSE CaaS Platform 4.0 (src):    go1.15-1.15.7-1.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2021-01-26 17:20:27 UTC
SUSE-SU-2021:0222-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1164903,1181145,1181146
CVE References: CVE-2021-3114,CVE-2021-3115
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    go1.14-1.14.14-1.32.1
SUSE Manager Retail Branch Server 4.0 (src):    go1.14-1.14.14-1.32.1
SUSE Manager Proxy 4.0 (src):    go1.14-1.14.14-1.32.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    go1.14-1.14.14-1.32.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    go1.14-1.14.14-1.32.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    go1.14-1.14.14-1.32.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    go1.14-1.14.14-1.32.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    go1.14-1.14.14-1.32.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    go1.14-1.14.14-1.32.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    go1.14-1.14.14-1.32.1
SUSE Enterprise Storage 6 (src):    go1.14-1.14.14-1.32.1
SUSE CaaS Platform 4.0 (src):    go1.14-1.14.14-1.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-01-29 23:17:29 UTC
openSUSE-SU-2021:0192-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1175132,1181145,1181146
CVE References: CVE-2021-3114,CVE-2021-3115
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    go1.15-1.15.7-lp152.8.1
Comment 6 Swamp Workflow Management 2021-01-29 23:21:27 UTC
openSUSE-SU-2021:0190-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1164903,1181145,1181146
CVE References: CVE-2021-3114,CVE-2021-3115
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    go1.14-1.14.14-lp151.28.1
Comment 7 Swamp Workflow Management 2021-01-30 02:16:13 UTC
openSUSE-SU-2021:0194-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1164903,1181145,1181146
CVE References: CVE-2021-3114,CVE-2021-3115
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    go1.14-1.14.14-lp152.2.18.1
Comment 8 Marcus Meissner 2021-09-10 13:14:00 UTC
released